Index: /branches/2.5/plugins/LocalFilesEditor/language/it_IT/plugin.lang.php
===================================================================
--- /branches/2.5/plugins/LocalFilesEditor/language/it_IT/plugin.lang.php	(revision 22187)
+++ /branches/2.5/plugins/LocalFilesEditor/language/it_IT/plugin.lang.php	(revision 22188)
@@ -30,14 +30,14 @@
 $lang['locfiledit_newfile'] = 'Il file non esiste fino a quando qualche informazione verrà inserita di seguito. Una volta che le informazioni sono inserite e salvate, il file verrà creato.';
 $lang['locfiledit_save_config'] = 'Il file è stato salvato.';
-$lang['locfiledit_show_default'] = 'Visualizzare il file ';
+$lang['locfiledit_show_default'] = 'Visualizzare file di riferimento:';
 $lang['locfiledit_save_bak'] = 'Una copia di backup del file sarà creata durante la fase di salvataggio.';
 $lang['locfiledit_saved_bak'] = 'Una copia di backup è stata creata (%s)';
 $lang['locfiledit_save_file'] = 'Salvare il file';
-$lang['locfiledit_choose_file'] = 'Scegliere un file da editare';
-$lang['locfiledit_edit'] = 'Editare';
+$lang['locfiledit_choose_file'] = 'Scegliere un file da modificare';
+$lang['locfiledit_edit'] = 'Modificare';
 $lang['locfiledit_restore'] = 'Caricare il file di backup';
 $lang['locfiledit_restore_confirm'] = 'Si prega di confermare?
 Il ripristino non sarà effettivo fino al successivo salvataggio.';
-$lang['locfiledit_bak_loaded1'] = 'Copia di backup caricata';
+$lang['locfiledit_bak_loaded1'] = 'Copia di backup caricata.';
 $lang['locfiledit_bak_loaded2'] = 'E\' necessario salvare il file per ripristinarlo.';
 $lang['locfiledit_syntax_error'] = 'Errore di sintassi! Impossible salvare il file.';
@@ -49,6 +49,6 @@
 $lang['locfiledit_filename_error'] = 'Caratteri vietati nel nome del file.';
 $lang['locfiledit_file_already_exists'] = 'Il file esiste già.';
-$lang['locfiledit_model_error'] = 'Selezionare un modello.';
-$lang['locfiledit_empty_filename'] = 'Indicate un nome di file.';
+$lang['locfiledit_model_error'] = 'E\' necessario scegliere un modello.';
+$lang['locfiledit_empty_filename'] = 'E\' necessario inserire il nome del file.';
 $lang['locfiledit_webmaster_only'] = 'Solo i webmasters sono autorizzati a creare o modificare i file locali.';
 ?>
Index: /branches/2.5/plugins/LocalFilesEditor/language/nn_NO/description.txt
===================================================================
--- /branches/2.5/plugins/LocalFilesEditor/language/nn_NO/description.txt	(revision 22188)
+++ /branches/2.5/plugins/LocalFilesEditor/language/nn_NO/description.txt	(revision 22188)
@@ -0,0 +1,1 @@
+Endre lokale filer frå administrasjonspanelet.
Index: /branches/2.5/plugins/LocalFilesEditor/language/nn_NO/plugin.lang.php
===================================================================
--- /branches/2.5/plugins/LocalFilesEditor/language/nn_NO/plugin.lang.php	(revision 22188)
+++ /branches/2.5/plugins/LocalFilesEditor/language/nn_NO/plugin.lang.php	(revision 22188)
@@ -0,0 +1,53 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['locfiledit_restore'] = 'Gjenopprett frå sikringskopi';
+$lang['locfiledit_restore_confirm'] = 'Bekreft?
+Gjennoppretting vil ikkje trå i kraft før neste lagring.';
+$lang['locfiledit_save_bak'] = 'Sikringskopi vil bli oppretta ved lagring.';
+$lang['locfiledit_save_config'] = 'Fila vart lagra.';
+$lang['locfiledit_save_file'] = 'Lagre fil';
+$lang['locfiledit_saved_bak'] = 'Sikringskopi oppretta (%s)';
+$lang['locfiledit_show_default'] = 'Vis referansefil';
+$lang['locfiledit_syntax_error'] = 'Syntaksfeil! Fila kan ikkje lagrast.';
+$lang['locfiledit_webmaster_only'] = 'Bare webmaster kan opprette eller lagre lokale filer.';
+$lang['locfiledit_bak_loaded1'] = 'Reservekopifil er lasta opp';
+$lang['locfiledit_bak_loaded2'] = 'Du må fyrst lagre fila før du kan gjenopprette den.';
+$lang['locfiledit_cant_save'] = 'Gjeldande fil er ikkje skrivbar. Sjekk at katalogen "local/" er skrivbar (chmod)';
+$lang['locfiledit_choose_file'] = 'Velg fil som skal endrast';
+$lang['locfiledit_edit'] = 'Endre';
+$lang['locfiledit_empty_filename'] = 'Du må skrive inn filnamnet';
+$lang['locfiledit_empty_page'] = 'Tom side';
+$lang['locfiledit_file_already_exists'] = 'Fila finst allerie.';
+$lang['locfiledit_filename_error'] = 'Forbode tegn i filnamn.';
+$lang['locfiledit_model'] = 'Modell/mal';
+$lang['locfiledit_model_error'] = 'Du må velge ein model/mal';
+$lang['locfiledit_new_filename'] = 'Filnamn';
+$lang['locfiledit_new_tpl'] = 'Lag ny fil';
+$lang['locfiledit_newfile'] = 'Fila eksisterer ikkje før det er skrive inn noko innhald under. Straks informasjon er skrive inn og lagra, vil fila bli oppretta.';
+$lang['locfiledit_onglet_css'] = 'CSS';
+$lang['locfiledit_onglet_lang'] = 'Språk';
+$lang['locfiledit_onglet_localconf'] = 'Lokal konfigurasjon';
+$lang['locfiledit_onglet_plug'] = 'Personleg tilleggsprogram';
+$lang['locfiledit_onglet_tpl'] = 'Malar';
+$lang['locfiledit_parent_directory'] = 'Foreldrekatalog';
+?>
Index: /branches/2.5/plugins/LocalFilesEditor/main.inc.php
===================================================================
--- /branches/2.5/plugins/LocalFilesEditor/main.inc.php	(revision 22187)
+++ /branches/2.5/plugins/LocalFilesEditor/main.inc.php	(revision 22188)
@@ -24,5 +24,5 @@
 /*
 Plugin Name: LocalFiles Editor
-Version: 2.5.0
+Version: 2.5.1
 Description: Edit local files from administration panel
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=144
Index: /branches/2.5/plugins/admin_multi_view/language/nn_NO/description.txt
===================================================================
--- /branches/2.5/plugins/admin_multi_view/language/nn_NO/description.txt	(revision 22188)
+++ /branches/2.5/plugins/admin_multi_view/language/nn_NO/description.txt	(revision 22188)
@@ -0,0 +1,1 @@
+Tillet administratorar å sjå galleriet som ein gjest og/eller endre språket og/eller temaet "on the fly". Nyttig for å feilsøke når du gjer endringar...
Index: /branches/2.5/plugins/admin_multi_view/language/sl_SI/description.txt
===================================================================
--- /branches/2.5/plugins/admin_multi_view/language/sl_SI/description.txt	(revision 22188)
+++ /branches/2.5/plugins/admin_multi_view/language/sl_SI/description.txt	(revision 22188)
@@ -0,0 +1,1 @@
+Omogoči skrbnikom ogled galerije kot gost in/ali spremembo jezika in/ali preobleke v trenutku. Uporabno za odpravljanje napak pri spremembah...
Index: /branches/2.5/plugins/admin_multi_view/main.inc.php
===================================================================
--- /branches/2.5/plugins/admin_multi_view/main.inc.php	(revision 22187)
+++ /branches/2.5/plugins/admin_multi_view/main.inc.php	(revision 22188)
@@ -24,5 +24,5 @@
 /*
 Plugin Name: Multi view
-Version: 2.5.0
+Version: 2.5.1
 Description: Allows administrators to view gallery as guests and/or change the language and/or theme on the fly. Practical to debug changes...
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=286
Index: /branches/2.5/plugins/c13y_upgrade/language/et_EE/description.txt
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/et_EE/description.txt	(revision 22188)
+++ /branches/2.5/plugins/c13y_upgrade/language/et_EE/description.txt	(revision 22188)
@@ -0,0 +1,1 @@
+Kontrolli uuenduste korrasolekut.
Index: /branches/2.5/plugins/c13y_upgrade/language/et_EE/plugin.lang.php
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/et_EE/plugin.lang.php	(revision 22188)
+++ /branches/2.5/plugins/c13y_upgrade/language/et_EE/plugin.lang.php	(revision 22188)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['c13y_correction_dbl_email_user'] = 'Kustuta topelt kasutajad';
+$lang['c13y_correction_obsolete_plugin'] = '"%s" pluginat sisaldab antud programmi versioon, see tuleb eemaldada.';
+$lang['c13y_dbl_email_user'] = 'Kasutajad sama email-i aadressiga';
+$lang['c13y_obsolete_plugin'] = 'Vana plugin';
+$lang['c13y_upgrade_no_anomaly'] = 'Anomaaliaid ei leitud pärast uuendust, "Kontrolli uundusi" plugin deaktiveeriti';
+?>
Index: /branches/2.5/plugins/c13y_upgrade/language/nn_NO/description.txt
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/nn_NO/description.txt	(revision 22188)
+++ /branches/2.5/plugins/c13y_upgrade/language/nn_NO/description.txt	(revision 22188)
@@ -0,0 +1,1 @@
+Sjekk integriteten av ein oppgradering.
Index: /branches/2.5/plugins/c13y_upgrade/language/nn_NO/plugin.lang.php
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/nn_NO/plugin.lang.php	(revision 22188)
+++ /branches/2.5/plugins/c13y_upgrade/language/nn_NO/plugin.lang.php	(revision 22188)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['c13y_correction_dbl_email_user'] = 'Slett duplikat-brukarar';
+$lang['c13y_correction_obsolete_plugin'] = '"%s" tilleggsprogrammet er ikkje støtta i denne versjonen og du må avinnstallere det.';
+$lang['c13y_dbl_email_user'] = 'Brukarar med same e-postadresse';
+$lang['c13y_obsolete_plugin'] = 'Utgjenge tilleggsprogram';
+$lang['c13y_upgrade_no_anomaly'] = 'Ingen feil oppdaga etter oppgradering. Tilleggsprogrammet "Check upgrades" vart deaktivert.';
+?>
Index: /branches/2.5/plugins/c13y_upgrade/language/sl_SI/description.txt
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/sl_SI/description.txt	(revision 22188)
+++ /branches/2.5/plugins/c13y_upgrade/language/sl_SI/description.txt	(revision 22188)
@@ -0,0 +1,1 @@
+Preveri celovitost nadgradnje
Index: /branches/2.5/plugins/c13y_upgrade/language/sl_SI/plugin.lang.php
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/sl_SI/plugin.lang.php	(revision 22188)
+++ /branches/2.5/plugins/c13y_upgrade/language/sl_SI/plugin.lang.php	(revision 22188)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['c13y_correction_dbl_email_user'] = 'Izbriši podvojene uporabnike';
+$lang['c13y_correction_obsolete_plugin'] = '"%s" je vključen v tej verziji aplikancije in ga morate odstraniti';
+$lang['c13y_dbl_email_user'] = 'Uporabniki z enakim e-mail naslovom';
+$lang['c13y_obsolete_plugin'] = 'Zastareli vtičnik';
+$lang['c13y_upgrade_no_anomaly'] = 'Po posodobitvi aplikacije ni bilo zaznati nepravilnosti. Vtičnik "Preveri za nadgradnje" je bil deaktiviran';
+?>
Index: /branches/2.5/plugins/c13y_upgrade/main.inc.php
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/main.inc.php	(revision 22187)
+++ /branches/2.5/plugins/c13y_upgrade/main.inc.php	(revision 22188)
@@ -24,5 +24,5 @@
 /*
 Plugin Name: Check upgrades
-Version: 2.5.0
+Version: 2.5.1
 Description: Check integrity of upgrades.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=287
Index: /branches/2.5/plugins/language_switch/language_switch.css
===================================================================
--- /branches/2.5/plugins/language_switch/language_switch.css	(revision 22187)
+++ /branches/2.5/plugins/language_switch/language_switch.css	(revision 22188)
@@ -121,4 +121,5 @@
 #languageSwitch .langflag-ta_IN { background-position:-192px -96px; }
 #languageSwitch .langflag-bn_IN { background-position:-192px -96px; }
+#languageSwitch .langflag-kn_IN { background-position:-192px -96px; }
 #languageSwitch .langflag-iq { background-position:-216px -96px; }
 #languageSwitch .langflag-fa_IR { background-position:-240px -96px; }
Index: /branches/2.5/plugins/language_switch/main.inc.php
===================================================================
--- /branches/2.5/plugins/language_switch/main.inc.php	(revision 22187)
+++ /branches/2.5/plugins/language_switch/main.inc.php	(revision 22188)
@@ -24,5 +24,5 @@
 /*
 Plugin Name: Language Switch
-Version: 2.5.1
+Version: 2.5.3
 Description: Switch to another language from flags on your gallery home page.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=123