Index: /branches/2.5/language/nn_NO/install.lang.php
===================================================================
--- /branches/2.5/language/nn_NO/install.lang.php	(revision 22198)
+++ /branches/2.5/language/nn_NO/install.lang.php	(revision 22199)
@@ -22,3 +22,51 @@
 // +-----------------------------------------------------------------------+
 $lang['Database name'] = 'Databasenamn';
+$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Du kan endre konfigurasjonen sjølv og ta omstart på Piwigo etterpå.';
+$lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Du bør sjekke med dei som leverar nett-tenaren om korleis du kan byte til PHP5.';
+$lang['also given by your host provider'] = 'er og levera av den som leverar nett-tenaren';
+$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'namna på databasetabellane vil verta prefiksa med dette (gjev deg mogleghet til å handtere databasetabellane betre)';
+$lang['enter a login for webmaster'] = 'skriv inn brukarnamn for webmaster';
+$lang['localhost, sql.multimania.com, toto.freesurf.fr'] = 'localhost, sql.multimania.com, toto.freesurf.fr';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'e-postadressa må vera på forma xxx@yyy.eee (døme: jack@example.com)';
+$lang['please enter your password again'] = 'skriv inn passord ei gong til';
+$lang['user login given by your host provider'] = 'brukarnamn du har fått av den som har nett-tenaren';
+$lang['user password given by your host provider'] = 'passord du har fått av den som har nett-tenaren';
+$lang['verification'] = 'sjekk';
+$lang['webmaster login can\'t contain characters \' or "'] = 'brukarnamn for webmaster kan ikkje innehalde tegna \' eller "';
+$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Ikkje vent med å sjå på foruma våre for hjelp: %s';
+$lang['PHP 5 is required'] = 'PHP5 er påkrevd';
+$lang['Password'] = 'Passord';
+$lang['Password ']['confirm'] = 'Passord [stadfest]';
+$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo kan prøve å byte din konfigurasjon til PHP5 ved å lage eller endre fila .htaccess.';
+$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo greidde ikkje å konfigurere PHP5.';
+$lang['Sorry!'] = 'Orsak!';
+$lang['Start Install'] = 'Start installasjon';
+$lang['Try to configure PHP 5'] = 'Prøv å konfigurere PHP5';
+$lang['User'] = 'Brukar';
+$lang['Visitors will be able to contact site administrator with this mail'] = 'Dei som vitjar nettsida kan bruke denne e-postadressa for å kontakte administrator for nettsida';
+$lang['Webmaster login'] = 'Login for webmaster';
+$lang['Webmaster mail address'] = 'E-postadresse for webmaster';
+$lang['Webmaster password'] = 'Passord for webmaster';
+$lang['Welcome to my photo gallery'] = 'Velkomen til mitt biletgalleri';
+$lang['Welcome to your new installation of Piwigo!'] = 'Velkomen til din nye installasjon av Piwigo!';
+$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Du kan laste ned konfigurasjonsfila og laste den opp til "local/config" katalogen i din installasjon.';
+$lang['Admin configuration'] = 'Administratorkonfigurasjone';
+$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Ein alternativ løysing er å kopiere teksten i boksen over og lime den inn i fila "local/config/database.inc.php" (Åtvaring: "database.inc.php" kan bare innehalde det som er i tekstfeltet, ikkje lineskift eller mellomrom)';
+$lang['Basic configuration'] = 'Grunnleggande konfigurasjon';
+$lang['Can\'t connect to server'] = 'Kan ikkje kople til tenar';
+$lang['Congratulations, Piwigo installation is completed'] = 'Gratulere, installasjon av Piwigo er ferdig';
+$lang['Connection to server succeed, but it was impossible to connect to database'] = 'Kopling til tenar er vellukka, men tilkopling til databasen var ikkje mogleg.';
+$lang['Creation of config file local/config/database.inc.php failed.'] = 'Oppretting av konfigurasjonsfila "local/config/database.inc.php" feila.';
+$lang['Database configuration'] = 'Databasekonfigurasjon';
+$lang['Database table prefix'] = 'Prefiks for databasetabellar';
+$lang['Default gallery language'] = 'Standard språk for galleriet';
+$lang['Download the config file'] = 'Last ned konfigurasjonsfil';
+$lang['Hope to see you back soon.'] = 'Håpar å sjå deg att snart.';
+$lang['Host'] = 'Tenar';
+$lang['Installation'] = 'Installasjon';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Det verkar som nettenaren køyrer PHP %s.';
+$lang['It will be shown to the visitors. It is necessary for website administration'] = 'Den vil bli vist til dei som vitjar galleriet. Den er naudsynt for administrasjon av nettsida';
+$lang['Just another Piwigo gallery'] = 'Enda eit Piwigo galleri';
+$lang['Keep it confidential, it enables you to access administration panel'] = 'Hald dette hemmeleg, det gjev deg tilgang til administrasjonspanelet';
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Treng du hjelp? Still spørsmålet ditt på <a href="%s"> Piwigo sitt forum</a>.';
 ?>
Index: /branches/2.5/language/sl_SI/admin.lang.php
===================================================================
--- /branches/2.5/language/sl_SI/admin.lang.php	(revision 22198)
+++ /branches/2.5/language/sl_SI/admin.lang.php	(revision 22199)
@@ -310,3 +310,112 @@
 $lang['Available on'] = 'Dosegljivo na';
 $lang['Automatic sort order'] = 'Avtomatsko razvrÅ¡Äanje';
+$lang['Languages which need upgrade'] = 'Jeziki, ki potrebujejo posodobitev';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Teme ni mogoÄe izbrisati ker se navezuje na drugo temo.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'Ni mogoÄe deaktivirati jezika, potrebujeÅ¡ vsaj en jezik.';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'Ni mogoÄe deaktivirati jezika, oznaÄiti moraÅ¡ nadomestni jezik';
+$lang['Invert'] = 'Obrni';
+$lang['Last import'] = 'Zadnji import';
+$lang['Last revisions'] = 'Zadnja revizija';
+$lang['Level 1'] = 'Kontakti';
+$lang['Level 0'] = '---';
+$lang['Learn more'] = 'Izvedi veÄ';
+$lang['Last send'] = 'Nazadnje poslano';
+$lang['Last hit'] = 'Zadnji zadetek';
+$lang['Languages'] = 'Jeziki';
+$lang['Language has been successfully installed'] = 'Jezik je bil uspeÅ¡no posodobljen';
+$lang['Landscape'] = 'Ozemlje';
+$lang['Instructions to use Piwigo'] = 'Navodila za uporabo Piwiga';
+$lang['Installed Themes'] = 'InÅ¡talirane teme';
+$lang['Inactive Languages'] = 'Neaktivni jeziki.';
+$lang['Inactive Plugins'] = 'Neaktivni vtiÄniki.';
+$lang['Inactive Themes'] = 'Neaktivne teme';
+$lang['Install on your computer,'] = 'InÅ¡taliraj na svoj raÄunalnik';
+$lang['Installed Languages'] = 'InÅ¡talirani jeziki';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Ni mogoÄe deaktivirati teme, potrebna je vsaj Å¡e ena tema.';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'VkljuÄi podatke o zgodovini (Opozorilo: preseÅ¾ena je lahko streÅ¾niÅ¡ka pomnilniÅ¡ka omejitev)';
+$lang['Information data registered in database'] = 'Informacije o podatkih so registrirane v bazi';
+$lang['Informations'] = 'Informacija';
+$lang['Install'] = 'InÅ¡taliraj';
+$lang['Image Quality'] = 'kvaliteta fotografije';
+$lang['Impossible automatic correction'] = 'Avtomatski popravek ni mogoÄ';
+$lang['Images manual order was saved'] = 'RoÄni vrstni red slik posnet';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Teme ni mogoÄe aktivirati, manjka nadrejena tema';
+$lang['Image id'] = 'id slike';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Äe HD ni na voljo in je trenutna spletna velikost veÄja kot pomanjÅ¡ana dimenzija bo Piwigo umaknil sliko kot HD in kreiral pomanjÅ¡ano spletno sliko iz nje.';
+$lang['Height'] = 'ViÅ¡ina';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'Dodatki vsebujejo moÅ¾nosti za brskanje po galeriji, kreiranje albumov in nalaganje fotografij.';
+$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = 'Za formate slik z izrezom, kot npr  "Kvadrat", bo Piwigo naredil najbolje z uporabo centra zanimanja.';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Äas izvrÅ¡be je prekoraÄen, postopek se mora nadaljevati (Preostali Äas: %sekund)';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Äas izvrÅ¡be je potekel, postopek se mora nadaljevati (Preostali Äas: %sekund)';
+$lang['Graphics Library'] = 'GrafiÄna knjiÅ¾nica';
+$lang['Groups and users'] = 'Skupine in uporabniki';
+$lang['High definition'] = 'Visoka loÄljivost';
+$lang['High definition enabled'] = 'Visoka loÄljivost omogoÄena';
+$lang['History'] = 'Zgodovina';
+$lang['Hit'] = 'Zadetek';
+$lang['Hour'] = 'Ura';
+$lang['Hoverbox display'] = 'Hoverbox zaslon';
+$lang['I decide to update anyway'] = 'Vseeno nadaljuj s posodobitvijo';
+$lang['IP'] = 'IP';
+$lang['If you encounter problems or have any question, please send a message to'] = 'Äe naletiÅ¡ na teÅ¾avo ali imaÅ¡ kakrÅ¡nokoli vpraÅ¡anje, prosim poÅ¡lji sporoÄilo na';
+$lang['Ignore All'] = 'Ignoriraj vse';
+$lang['Ignore selected anomalies'] = 'Ignoriraj oznaÄene nepravilnosti';
+$lang['Ignore this update'] = 'Ignoriraj to posodobitev';
+$lang['File upload stopped by extension'] = 'Nalaganje datoteke ustavljeno zaradi konÄnice';
+$lang['File/directory read error'] = 'Napaka pri branju Datoteke/Mape';
+$lang['Find a new representant by random'] = 'PoiÅ¡Äi nakljuÄno sliÄico za album';
+$lang['Follow Orientation'] = 'Sledi orientaciji';
+$lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'SledeÄi vtiÄniki morda niso zdruÅ¾ljivi z novo verzijo Piwigo:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'SledeÄe preobleke morda niso zdruÅ¾ljive z novo verzijo Piwigo:';
+$lang['Forbid this language to users'] = 'Uporabnikom prepreÄi uporabo tega jezika';
+$lang['Forbid this theme to users'] = 'Uporabnikom prepreÄi uporabo te preobleke';
+$lang['Forbidden'] = 'Prepovedano';
+$lang['Form'] = 'Obrazec';
+$lang['GD library is missing'] = 'GD knjiÅ¾nica ni nameÅ¡Äena';
+$lang['GD version'] = 'GD razliÄica';
+$lang['Gallery title'] = 'Naslov galerije';
+$lang['Gallery unlocked'] = 'Galerija je odklenjena';
+$lang['Generate multiple size images'] = 'Ustvari slike razliÄnih velikosti';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'OmogoÄi pisanje';
+$lang['File'] = 'Datoteka';
+$lang['Extensions Update'] = 'Posodobitev razÅ¡iritev';
+$lang['FTP + Synchronization'] = 'FTP + Sinhronizacija';
+$lang['Failed to write file to disk'] = 'Napaka pri zapisu datoteke na disk';
+$lang['Edit ranks'] = 'Uredi range';
+$lang['Edit selected tags'] = 'Uredi izbrane oznake';
+$lang['Edit tags'] = 'Uredi oznake';
+$lang['Element'] = 'Predmet';
+$lang['Element type'] = 'Tip predmeta';
+$lang['Email administrators when a comment is deleted'] = 'E-mail skrbnikom, ko je komentar izbrisan';
+$lang['Email administrators when a comment is modified'] = 'E-mail skrbnikom, ko je komentar spremenjen';
+$lang['Email admins when a comment requires validation'] = 'E-mail skrbnikom, ko komentar potrebuje potrditev';
+$lang['Email admins when a new user registers'] = 'E-mail skrbnikom, ob registraciji novega uporabnika';
+$lang['Email admins when a valid comment is entered'] = 'E-mail skrbnikom, ko je objavljen veljaven komentar';
+$lang['Environment'] = 'Okolje';
+$lang['Error list'] = 'Seznam napak';
+$lang['Error on file "%s" : %s'] = 'Napaka v datoteki "%s" : %s ';
+$lang['Error when sending email to %s [%s].'] = 'Napaka pri poÅ¡iljanju e-poÅ¡te za: %s [%s].';
+$lang['Errors caption'] = 'Legende napak';
+$lang['Everybody'] = 'Vsi';
+$lang['Exif extension not available, admin should disable exif use'] = 'Exif dodatek ni na voljo, skrbnik naj ga onemogoÄi';
+$lang['Extend for templates'] = 'RazÅ¡iri predloge';
+$lang['Delete multiple size images'] = 'IzbriÅ¡i slike veÄih velikosti';
+$lang['Display options'] = 'MoÅ¾nosti prikaza';
+$lang['Dissociate from album'] = 'LoÄi od albuma';
+$lang['Dissociated'] = 'LoÄi';
+$lang['Do you want to activate anyway?'] = 'Å½elite vseeno aktivirati?';
+$lang['Does not represent'] = 'Ni sliÄica za';
+$lang['Dump Database'] = 'OdloÅ¾i podatkovno bazo';
+$lang['Duplicate'] = 'Podvoji';
+$lang['Duplicate selected tags'] = 'Podvoji izbrane oznake';
+$lang['Duplicates'] = 'Podvojeni';
+$lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'NAPAKA: TA VTIÄNIK MANJKA VENDAR JE NAMEÅ ÄEN! ODSTRANITE GA ZDAJ.';
+$lang['Edit album permissions'] = 'Uredi dovoljenja albuma';
+$lang['Edit photo'] = 'Uredi sliko';
+$lang['Edit photo information'] = 'Uredi informacije o sliki';
+$lang['Default comments order'] = 'Privzeti vrstni red komentarjev';
+$lang['Default display'] = 'Privzeti prikaz';
+$lang['Default photos order'] = 'Privzeti vrstni red slik';
+$lang['Default user cannot be deleted'] = 'Privzetega uporabnika se ne da izbrisati';
+$lang['Default user does not exist'] = 'Privzeti uporabnik ne obstaja';
 ?>