Index: trunk/language/nn_NO/admin.lang.php
===================================================================
--- trunk/language/nn_NO/admin.lang.php	(revision 21944)
+++ trunk/language/nn_NO/admin.lang.php	(revision 22207)
@@ -253,3 +253,494 @@
 $lang['Allow users to edit their own comments'] = 'Tillat brukarar å endre sine eigne kommentarar';
 $lang['Allowed file types: %s.'] = 'Tillatne filtyper: %s';
+$lang['Mail content'] = 'Send innhald på e-post';
+$lang['Mail sent to %s [%s].'] = 'E-post sendt til %s [%s].';
+$lang['Main'] = 'Hovud';
+$lang['Main Page'] = 'Hovudside';
+$lang['Multiple Size'] = 'Fleire størrelsar';
+$lang['Level 2'] = 'Vener';
+$lang['Level 4'] = 'Familie';
+$lang['Level 8'] = 'Administratorar';
+$lang['Link all album photos to a new album'] = 'Kople alle albumbilete til eit nytt album';
+$lang['Link all album photos to some existing albums'] = 'Kople alle albumbilete til eit eksisterande album';
+$lang['Linked albums'] = 'Tilkopla album';
+$lang['List'] = 'Liste';
+$lang['Local'] = 'Lokal';
+$lang['Lock'] = 'Lås';
+$lang['Lock albums'] = 'Lås album';
+$lang['Lock gallery'] = 'Lås galleri';
+$lang['Locked'] = 'Låst';
+$lang['Inactive Languages'] = 'Inaktive språk';
+$lang['Inactive Plugins'] = 'Inaktive tilleggsprogram';
+$lang['Inactive Themes'] = 'Inaktive tema';
+$lang['Languages'] = 'Språk';
+$lang['Languages which need upgrade'] = 'Språk som treng oppgradering';
+$lang['Last hit'] = 'Siste treff';
+$lang['Last import'] = 'Siste importering';
+$lang['Last revisions'] = 'Siste revisjonar';
+$lang['Last send'] = 'Sist sendt';
+$lang['Learn more'] = 'Lær meir';
+$lang['Level 0'] = '---';
+$lang['Level 1'] = 'Kontaktar';
+$lang['Informations'] = 'informasjon';
+$lang['Install'] = 'Installer';
+$lang['Install on your computer,'] = 'Installer på din datamaskin';
+$lang['Installed Languages'] = 'Installera språk';
+$lang['Installed Themes'] = 'Installera tema';
+$lang['Instructions to use Piwigo'] = 'Instruksjonar for å bruke Piwigo';
+$lang['Invert'] = 'Inverter';
+$lang['Landscape'] = 'Landskap';
+$lang['Language has been successfully installed'] = 'Språk er installera';
+$lang['Apply action'] = 'Utfør handling';
+$lang['Apply selected corrections'] = 'Utfør valde korrigeringar';
+$lang['Associate to album'] = 'Kople til album';
+$lang['Associated'] = 'Kopla til';
+$lang['Authorized'] = 'Autorisera';
+$lang['Automatic correction'] = 'Automatisk korrigering';
+$lang['Automatic sort order'] = 'Automatisk sorteringsrekkefylgje';
+$lang['Available on'] = 'Tilgjengeleg';
+$lang['Available only with HTML format'] = 'Kun tilgjengeleg med HTML-format';
+$lang['Available versions for'] = 'Tilgjengelege versjonar for';
+$lang['associate to group'] = 'kople til gruppe';
+$lang['Update to Piwigo %s'] = 'Oppdatera til Piwigo %s';
+$lang['Updates'] = 'Oppdateringar';
+$lang['Upload'] = 'Last opp';
+$lang['Week starts on'] = 'Veka startar på';
+$lang['Who can see these photos?'] = 'Kven kan sjå desse bileta?';
+$lang['New parent album'] = 'Nytt foreldrealbum';
+$lang['No display'] = 'Ingen vising';
+$lang['No group selected, no action possible.'] = 'Ingen gruppe er vald, ingen handling mogleg.';
+$lang['Not cropped correctly?'] = 'Ikkje kutta rett?';
+$lang['Notification'] = 'Melding';
+$lang['Notify administrators when a comment is'] = 'Send melding til administratorar når ein kommentar er';
+$lang['Opacity'] = 'Grad av gjennomsiktighet';
+$lang['Optional URL keyword'] = 'Valfritt URL-nøkkelord';
+$lang['Order of menubar items has been updated successfully.'] = 'Rekkefylgje på menyelement på menylina er oppdatera';
+$lang['Merge selected tags'] = 'Flett valde stikkord';
+$lang['Merge tags'] = 'Flett stikkord';
+$lang['Metadata synchronization results'] = 'Resultat for synkronisering av metadata';
+$lang['Metadata synchronized from file'] = 'Metadata synkronisera frå fil';
+$lang['Minimum height'] = 'Minste høgde';
+$lang['Minimum privacy level'] = 'Lågaste personvern-nivå';
+$lang['Minimum width'] = 'Minste breidde';
+$lang['Miscellaneous'] = 'Diverse';
+$lang['Missing Plugins'] = 'Manglande tilleggsprogram';
+$lang['Missing a temporary folder'] = 'Kladdemappe manglar';
+$lang['Modify information'] = 'Endre informasjon';
+$lang['Month'] = 'Månad';
+$lang['Move'] = 'Flytt';
+$lang['Move albums'] = 'Flytt album';
+$lang['Move to album'] = 'Flytt til album';
+$lang['Name'] = 'Namn';
+$lang['Name of the duplicate'] = 'Namn på duplikat';
+$lang['New Version'] = 'Ny versjon';
+$lang['New name'] = 'Nytt namn';
+$lang['Maintenance'] = 'Vedlikehald';
+$lang['Make this language available to users'] = 'Gjer dette språket tilgjengeleg for brukarar';
+$lang['Make this theme available to users'] = 'Gjer dette temaet tilgjengeleg for brukarar';
+$lang['Manage'] = 'Handter';
+$lang['Manage Permissions'] = 'Handter løyve';
+$lang['Manage authorizations for selected albums'] = 'Handter autorisering for valde album';
+$lang['Manage permissions for group "%s"'] = 'Handter løyve for gruppa "%s"';
+$lang['Manage permissions for user "%s"'] = 'Handter løyve for brukaren "%s"';
+$lang['Manage photo ranks'] = 'Sorteringsrekkefylgje for bilete';
+$lang['Manage photos'] = 'Handter bilete';
+$lang['Manage tags'] = 'Handter stikkord';
+$lang['Manage the members'] = 'Handter medlemer';
+$lang['Manage this set of %d photos'] = 'Handter denne samlinga av %d bilete';
+$lang['Manual order'] = 'Manuell rekkefylgje';
+$lang['Maximum file size: %sB.'] = 'Største filstørrelse: %sB.';
+$lang['Maximum height'] = 'Største høgde';
+$lang['Maximum width'] = 'Største breidde';
+$lang['Members'] = 'Medlemer';
+$lang['Menu Management'] = 'Menyar';
+$lang['Merge selected groups'] = 'Flett valde grupper';
+$lang['Average rate'] = 'Gjennomsittleg vurdering';
+$lang['By %s'] = 'Av %s';
+$lang['Caddie'] = '"Caddie"';
+$lang['Caddie management'] = '"Caddie"-handtering';
+$lang['Can\'t connect to server.'] = 'Tilkopling til tenar er ikkje tilgjengeleg.';
+$lang['Can\'t create temporary file.'] = 'Kan ikkje opprette kladdefil.';
+$lang['Can\'t download archive.'] = 'Kan ikkje laste ned arkiv.';
+$lang['Can\'t read or extract archive.'] = 'Kan ikkje lesa eller pakke ut arkiv.';
+$lang['Cancel'] = 'Avbryt';
+$lang['Cannot delete the old permalink !'] = 'Den gamle permalenka kan ikkje slettast!';
+$lang['Change Admin Colors'] = 'Endre fargar for administrasjon';
+$lang['Check all'] = 'Sjekk alle';
+$lang['Check for updates'] = 'Sjekk for oppdateringar';
+$lang['Check for upgrade'] = 'Sjekk oppdateringar';
+$lang['Check for upgrade failed for unknown reasons.'] = 'Oppgraderingssjekk feila av ukjend årsak.';
+$lang['Check integrity'] = 'Integritetssjekk';
+$lang['Choose an action'] = 'Vel ei handling';
+$lang['Choose an option'] = 'Vel eit alternativ';
+$lang['Classic display'] = 'Klassisk vising';
+$lang['Comments for all'] = 'Kommentarar for alle';
+$lang['Configuration'] = 'Konfigurasjon';
+$lang['Confirm merge'] = 'Stadfest fletting';
+$lang['Correction'] = 'Korreksjon';
+$lang['Correction applied with error'] = 'Korreksjon vart gjort, men med feil';
+$lang['Correction applied with success'] = 'Korreksjon vellukka';
+$lang['Create'] = 'Opprett';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Opprett mappa "%s" i rotmappa for din Piwigo-installasjon';
+$lang['Create this site'] = 'Opprett denne nettsida';
+$lang['Crop'] = 'Kutt';
+$lang['Current name'] = 'Noverande namn';
+$lang['Database'] = 'Dataase';
+$lang['Database synchronization with files'] = 'Synkroniser database med filer';
+$lang['Date'] = 'Dato';
+$lang['Day'] = 'Dag';
+$lang['Deactivate'] = 'Deaktiver';
+$lang['Deactivate all'] = 'Deaktiver alt';
+$lang['Default comments order'] = 'Standard rekkefylgje for kommentarar';
+$lang['Default display'] = 'Standard vising';
+$lang['Default photos order'] = 'Standard bilet-rekkefylgje';
+$lang['Default user cannot be deleted'] = 'Standardbrukar kan ikkje slettast';
+$lang['Default user does not exist'] = 'Standarbrukar finst ikkje';
+$lang['Delete Representant'] = 'Fjern miniatyrbilete for album';
+$lang['Delete orphan tags'] = 'Slett stikkord som ikkje høyrer til noko bilete';
+$lang['Delete selected photos'] = 'Slett valde bilete';
+$lang['Delete selected tags'] = 'Slett valde stikkord';
+$lang['Delete selected users'] = 'Slett valde brukarar';
+$lang['Delete this language'] = 'Slette dett språket';
+$lang['Delete this theme'] = 'Slett dette temaet';
+$lang['Deleted on'] = 'Sletta';
+$lang['Deletions'] = 'Slettingar';
+$lang['Deny selected groups'] = 'Avvis valde grupper';
+$lang['Deny selected users'] = 'Avvis valde brukarar';
+$lang['Description'] = 'Skildring';
+$lang['Detailed informations'] = 'Detaljera informasjon';
+$lang['Directory'] = 'Mappe';
+$lang['Directory does not exist'] = 'Mappe finst ikkje';
+$lang['Discover album:'] = 'Oppdag album:';
+$lang['Display options'] = 'Visingsinnstillingar';
+$lang['Dissociate from album'] = 'Frikople frå album';
+$lang['Dissociated'] = 'Frikobla';
+$lang['Do you want to activate anyway?'] = 'Ynskjer du å aktivere likevel?';
+$lang['Documentation'] = 'Dokumentasjon';
+$lang['Does not represent'] = 'er ikkje miniatyrbilete for';
+$lang['Download,'] = 'Last ned,';
+$lang['Downloads'] = 'Nedlastingar';
+$lang['Drag to re-order'] = 'Klikk-og-dra for å endre rekkefylgje';
+$lang['Drop into album'] = 'Vel eit album';
+$lang['Dump Database'] = 'Dump database';
+$lang['Duplicate'] = 'Dupliser';
+$lang['IP'] = 'IP';
+$lang['Ignore All'] = 'Ignorer alt';
+$lang['Ignore this update'] = 'Ignorer denne oppdateringa';
+$lang['Image Quality'] = 'Biletkvalitet';
+$lang['Image id'] = 'Bilde-ID';
+$lang['Hello'] = 'Hei';
+$lang['Hello,'] = 'Hei,';
+$lang['Help Me'] = 'Hjelp meg';
+$lang['Hide'] = 'Gøym';
+$lang['High definition'] = 'Høg oppløysing';
+$lang['High definition enabled'] = 'Høg oppløysing aktivera';
+$lang['History'] = 'Historie';
+$lang['Hit'] = 'Treff';
+$lang['Hour'] = 'Time';
+$lang['Graphics Library'] = 'Grafikk-bibliotek';
+$lang['Group'] = 'Gruppe';
+$lang['Group management'] = 'Gruppe-handtering';
+$lang['Group name'] = 'Gruppenamn';
+$lang['Groups'] = 'Grupper';
+$lang['Groups and users'] = 'Grupper og brukarar';
+$lang['Guest Settings'] = 'Innstillingar for gjester';
+$lang['Guest cannot be deleted'] = 'Gjest kan ikkje slettast';
+$lang['Guests'] = 'Gjester';
+$lang['Height'] = 'Høgde';
+$lang['Forbid this language to users'] = 'Gjer dette språket utilgjengeleg for brukarar';
+$lang['Forbid this theme to users'] = 'Gjer dette temaet utilgjengeleg for brukarar';
+$lang['Forbidden'] = 'Utilgjengeleg';
+$lang['Form'] = 'Frå';
+$lang['GD library is missing'] = 'GD-bibliotek manglar';
+$lang['GD version'] = 'GD-versjon';
+$lang['Gallery title'] = 'Galleritittel';
+$lang['Gallery unlocked'] = 'Galleriet låst opp';
+$lang['General statistics'] = 'Galleri-statistikk';
+$lang['Get Support on Piwigo Forum'] = 'Få brukarstøtte på Piwigo-forum';
+$lang['Go to'] = 'Gå til';
+$lang['Go to %s or %s for more informations'] = 'Gå til %s eller %s for meir informasjon';
+$lang['Error on file "%s" : %s'] = 'Feil i fil "%s": %s';
+$lang['Error when sending email to %s [%s].'] = 'Feil ved sending av e-post til %s [%s].';
+$lang['Errors caption'] = 'Feilforklaring';
+$lang['Everybody'] = 'Alle';
+$lang['Extend for templates'] = 'Utvid malar';
+$lang['Extensions Update'] = 'Oppdatering av tilleggsmodular';
+$lang['FTP + Synchronization'] = 'FTP + synkronisering';
+$lang['Failed to write file to disk'] = 'Feil ved skriving av fil til disk';
+$lang['File'] = 'Fil';
+$lang['File upload stopped by extension'] = 'Opplasting av fil stoppa av utvidelse';
+$lang['File/directory read error'] = 'Lesefeil for fil/mappe';
+$lang['Find a new representant by random'] = 'Finn eit nytt tilfeldig miniatyrbilere for album';
+$lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'Fylgjande tilleggsprogram er kanskje ikkje kompatibl med den nye versjonen av Piwigo:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Fylgjande tema er kanskje ikke kompatible med den nye versjonen av Piwigo:';
+$lang['Duplicate selected tags'] = 'Dupliser valde stikkord';
+$lang['Duplicates'] = 'Duplikat';
+$lang['ERROR'] = 'FEIL';
+$lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'FEIL: DETTE TILLEGGSPROGRAMMET MANGLAR, MEN ER INSTALLERA! AVINSTALLER NÅ.';
+$lang['Edit album'] = 'Endre album';
+$lang['Edit album permissions'] = 'Endre ablumtilgang';
+$lang['Edit photo'] = 'Endre bilete';
+$lang['Edit photo information'] = 'Endre biletinformasjon';
+$lang['Edit ranks'] = 'Endre rangering';
+$lang['Edit selected tags'] = 'Endre valde stikkord';
+$lang['Edit tags'] = 'Endre stikkord';
+$lang['Element'] = 'Element';
+$lang['Element type'] = 'Element-type';
+$lang['Email administrators when a comment is deleted'] = 'Send e-post til administratorar når ein kommentar er sletta';
+$lang['Email administrators when a comment is modified'] = 'Send e-post til administratorar når ein kommentar er endra';
+$lang['Email admins when a comment requires validation'] = 'Send e-post til adminstratorar når ein kommentar treng validering';
+$lang['Email admins when a new user registers'] = 'Send e-post til administratorar når ein ny brukar er registrera';
+$lang['Email admins when a valid comment is entered'] = 'Send e-post til administratorar når ein gyldig kommentar er lagt til';
+$lang['Environment'] = 'Miljø';
+$lang['Error list'] = 'Liste med feil';
+$lang['New photos added'] = 'Nye bilete lagt til';
+$lang['New photos were added'] = 'Nye bilete bilete er lagt til';
+$lang['New tag'] = 'Nytt stikkord';
+$lang['No file was uploaded'] = 'Ingen fil vart lasta opp';
+$lang['No group is permitted to see this private album'] = 'Ingen gruppe har løyve til å sjå dette private albumet';
+$lang['No mail to send.'] = 'Ingen e-post å sende';
+$lang['No members to manage'] = 'Ingen medlemer å handtere';
+$lang['No order field selected'] = 'Ikkje noko sorteringsfelt er vald';
+$lang['No photo can be deleted'] = 'Ingen bilete kan slettast';
+$lang['No photo in the current set.'] = 'Ingen bilete i gjeldande samling';
+$lang['No photo in this album'] = 'Ingen bilete i dette albumet';
+$lang['No photo selected, %d photos in current set'] = 'Ingen bilete vald, %d bilete i gjeldande samling';
+$lang['No photo selected, no action possible.'] = 'Ingen bilete vald, ingen handling er mogleg.';
+$lang['No results'] = 'Ingen resultat';
+$lang['No user to send notifications by mail.'] = 'Ingen brukar som kan informerast via e-post.';
+$lang['None'] = 'Ingen';
+$lang['Number of albums per page'] = 'Antal ablum pr. side';
+$lang['Number of comments per page'] = 'Antal kommentarar pr. side';
+$lang['Number of downloads'] = 'Antal nedlastingar';
+$lang['Number of rates'] = 'Antal rangeringar';
+$lang['Number of thumbnails to create'] = 'Antal miniatyrbilete som skal opprettast';
+$lang['Only private albums are listed'] = 'Bare private album er lista opp';
+$lang['Operating system'] = 'Operativsystem';
+$lang['Options'] = 'Innstillingar';
+$lang['Original Size'] = 'Original størrelse';
+$lang['Original file : %s'] = 'Original fil: %s';
+$lang['Original templates'] = 'Originale malar';
+$lang['Orphan tags deleted'] = 'Stikkord som ikkje høyrer til noko bilete er sletta';
+$lang['Other plugins'] = 'Andre tilleggsprogram er tilgjengeleg';
+$lang['Other private albums'] = 'Andre private album';
+$lang['Overall'] = 'Oversikt';
+$lang['Page banner'] = 'Side-banner';
+$lang['Page end'] = 'Sideslutt';
+$lang['Pages seen'] = 'Sider vist';
+$lang['Panorama'] = 'Panorama';
+$lang['Parameter'] = 'Innstillingar';
+$lang['Parameters'] = 'Parametrar';
+$lang['Parent album'] = 'Foreldrealbum';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Stadfesting av passord manglar. Skriv inn stadfesting av passord.';
+$lang['Password is missing. Please enter the password.'] = 'Passord manglar. Skriv inn eit passord.';
+$lang['Path'] = 'Sti';
+$lang['Pending Comments'] = 'Ventande kommentarar';
+$lang['Permalink'] = 'Permalenke';
+$lang['Permalink %s is already used by album %s'] = 'Permalenke %s er allereie i bruk av album %s';
+$lang['Permalink history'] = 'Permalenke-historikk';
+$lang['Piwigo for Android'] = 'Piwigo for Android';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo for iOS (iPhone, iPad, iPod Touch)';
+$lang['Posted %s on %s'] = 'Lagt til %s %s';
+$lang['Permalinks'] = 'Permalenker';
+$lang['Permission denied'] = 'Du har ikkje løyve';
+$lang['Permission granted'] = 'Løyve gjeve';
+$lang['Permission granted for groups'] = 'Løyve gjeve for grupper';
+$lang['Permission granted for users'] = 'Løyve gjeve for brukarar';
+$lang['Permission granted thanks to a group'] = 'Løyve gjeve på grunn av gruppmedlemskap';
+$lang['Permission management'] = 'Handtering av løyve';
+$lang['Permissions'] = 'Løyve';
+$lang['Photo %s of %s'] = 'Bilete %s av %s';
+$lang['Photo informations updated'] = 'Biletinformasjon er oppdatera';
+$lang['Photo Page'] = 'Biletside';
+$lang['Photo Properties'] = 'Eigenskapar for bilete';
+$lang['Photo name'] = 'Namn på bilete';
+$lang['Photos'] = 'Bilete';
+$lang['Piwigo Administration'] = 'Piwigo adminstrasjon';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo Publish-tilleggsprogram for Lightroom';
+$lang['Piwigo Update'] = 'Oppdatering av Piwido';
+$lang['Piwigo configuration'] = 'Konfigurering av Piwigo';
+$lang['Piwigo version'] = 'Piwigo-versjon';
+$lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Sjekk mappe for tilleggsprogram og undermapper for tilgangsløyve (CHMOD)';
+$lang['Please select at least two groups'] = 'Vel minst to grupper';
+$lang['Please wait...'] = 'Vent...';
+$lang['Plugin has been successfully copied'] = 'Tilleggsprogrammet vart kopiera';
+$lang['Plugin list'] = 'Liste med tilleggsprogram';
+$lang['Plugins'] = 'Tilleggsprogram';
+$lang['Plugins which need upgrade'] = 'Tilleggsprogram som skal oppgraderast';
+$lang['Portrait'] = 'Portrett';
+$lang['Position'] = 'Posisjon';
+$lang['Private'] = 'Privat';
+$lang['Properties'] = 'Eigenskapar';
+$lang['Public'] = 'Offentleg';
+$lang['Public / Private'] = 'Offentleg / Privat';
+$lang['Purge compiled templates'] = 'Fjern kompilera malar';
+$lang['Purge history detail'] = 'Fjern historikk-detaljar';
+$lang['Purge history summary'] = 'Fjern historikk-summering';
+$lang['Purge never used notification feeds'] = 'Fjern informasjons-matingar som ikkje har vore bruka';
+$lang['Purge search history'] = 'Fjern søkehistorikk';
+$lang['Purge sessions'] = 'Fjern sesjonar';
+$lang['Purge user cache'] = 'Fjern mellomlagring for brukar';
+$lang['Quick Local Synchronization'] = 'Rask lokal synkronisering';
+$lang['Random photo'] = 'Tilfeldig bilete';
+$lang['Rate'] = 'Ranger';
+$lang['Rating'] = 'Rangering';
+$lang['Rating by guests'] = 'Rangera av gjester';
+$lang['Read Piwigo Documentation'] = 'Les dokumentasjon for Piwigo';
+$lang['Refresh'] = 'Oppfrisk';
+$lang['Refresh photo set'] = 'Oppfrisk biletsamling';
+$lang['Reject'] = 'Avvis';
+$lang['Remove all filters'] = 'Fjern alle filter';
+$lang['Remove from caddie'] = 'Fjern frå "caddie"';
+$lang['Rename'] = 'Gje nytt namn';
+$lang['Repair and optimize database'] = 'Reparer og optimaliser databasen';
+$lang['Representant'] = 'Miniatyrbilete for album';
+$lang['Representation of albums'] = 'Miniatyrbilete for album';
+$lang['Representative'] = 'Miniatyrbilete for album';
+$lang['Represents'] = 'Er miniatyrbilete for';
+$lang['Reset ignored updates'] = 'Nullstill ignorera oppdateringar';
+$lang['Resize'] = 'Skaler';
+$lang['Resize after upload'] = 'Skaler etter opplasting';
+$lang['Restore'] = 'Set tilbake';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Set tilbake til standardkonfigurasjon. Du vil miste innstillingar for tilleggsprogram';
+$lang['Save Settings'] = 'Lagre innstillingar';
+$lang['Save Template Directory'] = 'Lagre mal-mappe';
+$lang['Save manual order'] = 'Lagre manuell sortering';
+$lang['Save order'] = 'Lagre sortering';
+$lang['Save to permalink history'] = 'Lagre til historikk for permalenker';
+$lang['Search for new images in the directories'] = 'Søk etter nye bilete i mappene';
+$lang['Searching...'] = 'Søker...';
+$lang['Section'] = 'Seksjon';
+$lang['See you soon,'] = 'Ser deg snart,';
+$lang['See you soon.'] = 'Ser deg snart.';
+$lang['Select a file'] = 'Vel ei fil';
+$lang['Select an album'] = 'Vel eit ablum';
+$lang['Select at least one album'] = 'Vel minst eitt album';
+$lang['Select at least one comment'] = 'Vel minst ein kommentar';
+$lang['Select at least one photo'] = 'Vel minst eitt bilete';
+$lang['Select at least one user'] = 'Vel minst ein brukar';
+$lang['Select at least two tags for merging'] = 'Vel minst to stikkord for fletting';
+$lang['Select files'] = 'Vel filer';
+$lang['Select groups...'] = 'Vel grupper...';
+$lang['Select recipients'] = 'Vel mottakarar';
+$lang['Select the destination tag'] = 'Vel mål-stikkord';
+$lang['Select users...'] = 'vel brukarar...';
+$lang['Select:'] = 'Vel:';
+$lang['Selection'] = 'Utval';
+$lang['Send'] = 'Send';
+$lang['Send an information email to group members'] = 'Send informasjon på e-post til ei gruppe medlemer';
+$lang['Send connection settings by email'] = 'Send innloggings-instillingar på e-post';
+$lang['Send mail as'] = 'Send e-post som';
+$lang['Send mail on HTML format'] = 'Send e-post i HTML-format';
+$lang['Send mail to users'] = 'Send e-post til brukarar';
+$lang['Settings'] = 'Instillingar';
+$lang['Sharpen'] = 'Oppskarping';
+$lang['Show info'] = 'Vis informasjon';
+$lang['Show menubar'] = 'Vis menyline';
+$lang['Simulation'] = 'Simulering';
+$lang['Site manager'] = 'Nettstadsadministrator';
+$lang['Some themes and plugins may be not available yet.'] = 'Nokre tema og tilleggsprogram er kanskje ikkje tilgjengelege nå.';
+$lang['Some upgrades are available for extensions.'] = 'Oppgraderingar er tilgjengelege for tilleggsmodular';
+$lang['Start Upload'] = 'Start opplasting';
+$lang['Start pLoader and add your photos.'] = 'Start pLoader og legg til dine bilete.';
+$lang['Statistics'] = 'Statistikk';
+$lang['Status'] = 'Status';
+$lang['Status of user "%s" updated'] = 'Status for brukar "%s" er oppdatera';
+$lang['Subscribe'] = 'Abonner';
+$lang['Subscribe %s'] = 'Abonner %s';
+$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Abonner %s på Piwigo annonserings-nyheitsbrev';
+$lang['Summary'] = 'Summering';
+$lang['Support'] = 'Støtte';
+$lang['Synchronize'] = 'Synkroniser';
+$lang['Synchronize metadata'] = 'Synkroniser metadata';
+$lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = 'DETTE TILLEGGSPROGRAMMET ER NÅ EIN DEL AV KJERNA I PIWIGO! AVINNSTALLER DET NÅ!';
+$lang['Tag "%s" already exists'] = 'Stikkordet "%s" finst allereie';
+$lang['Tag "%s" is now a duplicate of "%s"'] = 'Stikkordet "%s" er nå duplikat av "%s"';
+$lang['Tag "%s" was added'] = 'Stikkordet "%s" er lagt til';
+$lang['Tag selection'] = 'Val av stikkord';
+$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = 'Stikkord <em>%s</em> fletta saman med stikkordet <em>%s</em>';
+$lang['Templates'] = 'Malar';
+$lang['The following tag was deleted'] = 'Desse stikkorda vart sletta';
+$lang['The gallery URL is not valid.'] = 'URL til galleriet er ikkje gyldig';
+$lang['The name of an album must not be empty'] = 'Namnet til eit album kan ikkje vera tomt';
+$lang['Virtual album'] = 'Virtuelt album';
+$lang['Virtual album added'] = 'Virtuelt album er lagt til';
+$lang['Virtual album deleted'] = 'Virtuelt album er sletta';
+$lang['Virtual album name'] = 'Namn på virtuelt ablum';
+$lang['Virtual albums to move'] = 'Virtuelle ablum som skal flyttast';
+$lang['Visit Gallery'] = 'Besøk galleriet';
+$lang['Visit Piwigo project website'] = 'Besøk nettstaden til Piwigo-prosjektet';
+$lang['Visit language site'] = 'Gå til språksida';
+$lang['Visit plugin site'] = 'Gå til sida for tilleggsprogram';
+$lang['Visit theme site'] = 'Gå til sida for tema';
+$lang['Visited %d times'] = 'Besøkt %d gonger';
+$lang['WARNING! This plugin does not seem to be compatible with this version of Piwigo.'] = 'VARSEL! Dette tilleggsprogrammet ser ikkje ut til å vera kompatibel med denne versjonen av Piwigo.';
+$lang['Waiting'] = 'Ventande';
+$lang['Warning: subscribing or unsubscribing will send mails to users'] = 'Varsel: ';
+$lang['Watermark'] = 'Vassmerke';
+$lang['Web Form'] = 'Web-skjema';
+$lang['Webmaster cannot be deleted'] = 'Webmaster kan ikkje fjernast';
+$lang['Webmaster status is required.'] = 'Webmaster-status er påkrevd';
+$lang['Upload Photos'] = 'Last opp bilete';
+$lang['Uploaded Photos'] = 'Opplasta bilete';
+$lang['User'] = 'Brukar';
+$lang['User "%s" created with "%s" like password'] = 'Brukar "%s" oppretta med "%s" som passord';
+$lang['User %s [%s] added.'] = 'Brukar %s [%s] er lagt til';
+$lang['User %s [%s] was added to the subscription list.'] = 'Brukar %s [%s] lagt til som abonnent.';
+$lang['User %s [%s] was not added to the subscription list.'] = 'Brukar %s [%s] er ikkje lagt til som abonnent.';
+$lang['User %s [%s] was not removed from the subscription list.'] = 'Brukar %s [%s] er ikkje fjerna som abonnent.';
+$lang['User %s [%s] was removed from the subscription list.'] = 'Brukar %s [%s] fjerna som abonnent.';
+$lang['User comments validation'] = 'Validering av kommentar frå brukar';
+$lang['User list'] = 'Brukarliste';
+$lang['User status'] = 'Brukarstatus';
+$lang['Users'] = 'Brukarar';
+$lang['Validate'] = 'Valider';
+$lang['Validation'] = 'Validering';
+$lang['Version'] = 'Versjon';
+$lang['View in gallery'] = 'Vis i galleriet';
+$lang['Virtual Links'] = 'Virutelle lenker';
+$lang['Who can see this photo?'] = 'Kven kan sjå dette biletet?';
+$lang['Width'] = 'Breidde';
+$lang['With blank value, gallery title will be used'] = 'Om tomt, galleriets tittel vil bli bruka';
+$lang['With no album'] = 'Utan ablum';
+$lang['With no tag'] = 'Utan stikkord';
+$lang['With no virtual album'] = 'Utan virutelt album';
+$lang['X Position'] = 'X posisjon';
+$lang['X Repeat'] = 'X repetering';
+$lang['Y Position'] = 'Y posisjon';
+$lang['Year'] = 'År';
+$lang['You are running the latest version of Piwigo.'] = 'Du køyrer siste versjon av Piwigo.';
+$lang['You cannot delete your account'] = 'Du kan ikkje slette din konto';
+$lang['You cannot move an album in its own sub album'] = 'Du kan ikkje flytte eit album til sitt eige underalbum';
+$lang['You have %d orphan tags: %s.'] = 'Du har %d stikkord som ikkje høyrer til bilete: %s.';
+$lang['Zoom'] = 'Zoom';
+$lang['add a new watermark'] = 'legg til nytt vassmerke';
+$lang['add new photos to caddie'] = 'legg nye bilete til "caddie"';
+$lang['added'] = 'lagt til';
+$lang['administrators'] = 'administratorar';
+$lang['albums added in the database'] = 'album lagt til i databasen';
+$lang['any visitor can see this album'] = 'all gjester kan sjå dette ablumet';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'dikiKam er eit avansera fritt digital bilethandteringsprogram for Linux, Windows og Mac OSX';
+$lang['even already synchronized photos'] = 'og allereie synkronisera bilete';
+$lang['for the file format'] = 'for dette filformatet';
+$lang['for this file format'] = 'for denne filas format';
+$lang['global mode'] = 'globalmodus';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto er standard bilethandsamar på Mac OSX. Piwigo eksport tilleggsprogram let deg oppretta nye album og eksportere dine bilete direkte frå iPhoto til ditt Piwigo biletgalleri';
+$lang['leave'] = 'ingen endring';
+$lang['on the %d selected photos'] = 'på desse %s valde bileta';
+$lang['ranks'] = 'rangering';
+$lang['registration date'] = 'registreringsdato';
+$lang['remove creation date'] = 'fjern opprettingsdato';
+$lang['set to'] = 'sett til';
+$lang['simple visitors'] = 'enkle besøkande';
+$lang['singly represented'] = 'fiksa miniatyrbilete';
+$lang['synchronize files metadata with database photos informations'] = 'syknroniser bileta i databasen med metadata i filene';
+$lang['test this remote site'] = 'test denne nettstaden';
+$lang['unset'] = 'nullstill';
+$lang['update the database from files'] = 'oppdater databasen med filene';
+$lang['An error has occured during upgrade.'] = 'Det oppstod ein feil under oppgraderinga.';
+$lang['An error occured during extraction (%s).'] = 'Det oppstod ein feil under utpakking av filene (%s).';
+$lang['An information email was sent to group "%s"'] = 'E-post med informasjon er sendt til gruppe "%s"';
+$lang['Apply to sub-albums'] = 'Gjer gjeldande for underalbum';
+$lang['Apply watermark if height is bigger than'] = 'Legg til vassmerke om høgda er større enn';
+$lang['Apply watermark if width is bigger than'] = 'Legg til vassmerke om breidda er større enn';
 ?>