Index: /trunk/language/mn_MN/common.lang.php
===================================================================
--- /trunk/language/mn_MN/common.lang.php	(revision 22251)
+++ /trunk/language/mn_MN/common.lang.php	(revision 22252)
@@ -45,5 +45,5 @@
 $lang['%d new user'] = '%d шинэ хэрэглэгч';
 $lang['%d new users'] = '%d шинэ хэрэглэгч';
-$lang['Date'] = 'Date';
+$lang['Date'] = 'Огноо';
 $lang['day'][0] = 'Бүтэн сайн';
 $lang['day'][1] = 'Даваа';
@@ -65,3 +65,141 @@
 $lang['month'][8] = '8 сар';
 $lang['month'][9] = '9 сар';
+$lang['comment date'] = 'сэтгэгдэл бичсэн огноо';
+$lang['%d albums updated'] = '%d альбомыг шинэчэллээ';
+$lang['Creation date'] = 'Үүсгэсэн огноо';
+$lang['Post date'] = 'Оруулсан огноо';
+$lang['Search'] = 'Хайлт';
+$lang['Search for all terms'] = 'Бүх үгийг хайх';
+$lang['Search for any term'] = 'Дурын үгийг хайх';
+$lang['Search for words'] = 'Хайх үг';
+$lang['Search in albums'] = 'Альбомоос хайх';
+$lang['searched words : %s'] = 'хайсан үг: %s';
+$lang['Search by date'] = 'Огноогоор хайх';
+$lang['Search in sub-albums'] = 'Дэд альбомд хайх';
+$lang['Quick search'] = 'хайх';
+$lang['Reset'] = 'Цуцлах';
+$lang['Original dimensions'] = 'Үндсэн хэмжээ';
+$lang['Kind of date'] = 'Хамаарах огноо';
+$lang['End-Date'] = 'Дуусах огноо';
+$lang['Date created, old &rarr; new'] = 'Огноогоор, хуучин &rarr; шинэ';
+$lang['Browser: %s'] = 'Вэб хөтөч: %s';
+$lang['Albums'] = 'Альбом';
+$lang['2small'] = 'XXS - жоохон';
+$lang['small'] = 'S - жижэг';
+$lang['stop the slideshow'] = 'зогсоох';
+$lang['today'] = 'өнөөдөр';
+$lang['useful when password forgotten'] = 'Нууц үгээ мартсан үед хэрэг болно';
+$lang['wrong date'] = 'огноо буруу байна';
+$lang['xlarge'] = 'XL - маш том';
+$lang['xsmall'] = 'XS - жижэгхэн';
+$lang['xxlarge'] = 'XXL - асар том';
+$lang['search'] = 'хайх';
+$lang['medium'] = 'M - дундаж';
+$lang['no rate'] = 'үнэлгээ үгүй';
+$lang['password updated'] = 'нууц үг шиэчлэгдлээ';
+$lang['large'] = 'L - том';
+$lang['photo'] = 'зураг';
+$lang['edit'] = 'засах';
+$lang['guest'] = 'зочин';
+$lang['Username'] = 'Хэрэглэгчийн нэр';
+$lang['Username or email'] = 'Хэрэглэгчийн нэр буюу имэйл хаяг';
+$lang['Username: %s'] = 'Хэрэглэгчийн нэр: %s';
+$lang['Website'] = 'Вэбсайт';
+$lang['Welcome'] = 'Тавтай морилно уу';
+$lang['Yes'] = 'Тийм';
+$lang['Sort by'] = 'Эрэмблэх дараалал';
+$lang['Submit'] = 'Илгээх';
+$lang['Tag'] = 'Түлхүүр үг';
+$lang['Tags'] = 'Түлхүүр үгс';
+$lang['The passwords do not match'] = 'Нууц үг хоорондоо тохирохгүй байна';
+$lang['Show latest comments first'] = 'Хамгийн сүүлийн сэтгэгдэлийг эхэнд нь харуулах';
+$lang['Show number of comments'] = 'Сэтгэгдэлийн тоог харуулах';
+$lang['Search results'] = 'Хайлтын үр дүн';
+$lang['Register'] = 'Бүртгүүлэх';
+$lang['Registration'] = 'Бүртгэл';
+$lang['Random photos'] = 'Дурын зураг';
+$lang['Rating score, low &rarr; high'] = 'Үнэлгээгээр, бага &rarr; их';
+$lang['Rank'] = 'Үнэлгээ';
+$lang['Rate this photo'] = 'Энэ зургыг үнэлэх';
+$lang['Rating score'] = 'Үнэлгээ оноо';
+$lang['Rating score, high &rarr; low'] = 'Үнэлгээгээр, их &rarr; бага';
+$lang['Manage this user comment: %s'] = 'Дараахь сэдгэгдэлийг засварлах: %s';
+$lang['Manual sort order'] = 'Гараараа эрэмблэх';
+$lang['Piwigo Help'] = 'Piwigo тусламж';
+$lang['Password reset is not allowed for this user'] = 'Танд нууц үгээ солих эрх байхгүй байна';
+$lang['Password: %s'] = 'Нууц үг: %s';
+$lang['Pause of slideshow'] = 'Зогсоох';
+$lang['Photo title, Z &rarr; A'] = 'Зургын нэрээр, Z &rarr; A ';
+$lang['Photo sizes'] = 'Зургын хэмжээ';
+$lang['Photo title, A &rarr; Z'] = 'Зургын нэрээр, A &rarr; Z';
+$lang['Invalid password!'] = 'Нууц үг буруу байна';
+$lang['Invalid username or email'] = 'Хэрэглэгчийн нэр эсвэл имэйл буруу байна';
+$lang['Keyword'] = 'Түлхүүр үг';
+$lang['Password'] = 'Нууц үг';
+$lang['Password Reset'] = 'Нууц үгээ солих';
+$lang['Password forgotten'] = 'Нууц үгээ мартсан';
+$lang['Most visited'] = 'Хамгын их үзсэн';
+$lang['Original'] = 'Эх хувь';
+$lang['Page not found'] = 'Ийм хуудас олдсонгүй';
+$lang['Language'] = 'Хэл';
+$lang['Login'] = 'Нэвтрэх';
+$lang['Logout'] = 'Гарах';
+$lang['Menu'] = 'Цэс';
+$lang['Mobile'] = 'Гар утас';
+$lang['New password'] = 'Шинэ нууц үг';
+$lang['Next'] = 'Дараагын';
+$lang['No'] = 'Үгүй';
+$lang['Links'] = 'Холбоос';
+$lang['Hello %s,'] = 'Сайн байна уу %s,';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Сайн байна уу %s, Таны Piwigo гэрэл зургын галерей хоосон байна!';
+$lang['IP: %s'] = 'IP: %s';
+$lang['Home'] = 'Нүүр хуудас';
+$lang['Email: %s'] = 'Имэйл: %s';
+$lang['Enter your new password below.'] = 'Шинэ нууц үгээ оруулна уу';
+$lang['File name, A &rarr; Z'] = 'Файлын нэрээр A &rarr; Z';
+$lang['File name, Z &rarr; A'] = 'Файлын нэрээр Z &rarr; A';
+$lang['Hello'] = 'Сайн байна уу';
+$lang['Help'] = 'Тусламж';
+$lang['Filesize'] = 'Файлын хэмжээ';
+$lang['Filter'] = 'Шүүлтүүр';
+$lang['Forbidden'] = 'Хориотой';
+$lang['Forgot your password?'] = 'Нууц үгээ мартсан уу?';
+$lang['Check your email for the confirmation link'] = 'Баталгаажуулсан захиаг имэйл хаягаараа шалгана уу';
+$lang['Click on the photo to see it in high definition'] = 'Өндөр нарийвчлалтай харахыг хүсвэл зураг дээр дана уу';
+$lang['Close this window'] = 'Цонхыг хаах';
+$lang['Comment'] = 'Сэтгэгдэл';
+$lang['Comment by %s'] = 'Сэтгэгдэл бичсэн %s';
+$lang['Album'] = 'Альбом';
+$lang['File'] = 'Файл';
+$lang['File name'] = 'Файлын нэр';
+$lang['Enter your personnal informations'] = 'Хувийн мэдээллээ оруулна уу';
+$lang['Error sending email'] = 'И-мэйлийг илгээхэд алдаа гарлаа';
+$lang['Expand all albums'] = 'Бүх альбомийг дэлгэх';
+$lang['Display'] = 'Дэлгэц';
+$lang['Download'] = 'татах';
+$lang['Download this file'] = 'Файлыг татах';
+$lang['EXIF Metadata'] = 'EXIF мэдээлэл';
+$lang['Edit'] = 'Засах';
+$lang['Edit a comment'] = 'Сэтгэгдэлийг засах';
+$lang['Email address'] = 'И-мэйл хаяг';
+$lang['Dimensions'] = 'Хэмжээ';
+$lang['Comments'] = 'Сэтгэгдэл';
+$lang['Connection settings'] = 'Холболтын тохиргоо';
+$lang['Create a new account'] = 'Шинээр бүртгүүлэх';
+$lang['Current password is wrong'] = 'Нууц үг буруу байна';
+$lang['Customize'] = 'Засах';
+$lang['Delete'] = 'Устгах';
+$lang['Contact'] = 'Холбоо барих';
+$lang['Contact webmaster'] = 'Вебмастертай холбогдох';
+$lang['Confirm Password'] = 'Нууц үгээ давтах';
+$lang['Connected user: %s'] = 'Холбогдсон хэрэглэгч: %s';
+$lang['Comment: %s'] = 'Сэтгэгдэл: %s';
+$lang['Are you sure?'] = 'Та итгэлтэй байна уу?';
+$lang['Auto login'] = 'Шууд нэвтрэх';
+$lang['Change my password'] = 'Нууц үгээ солъё';
+$lang['Calendar'] = 'Хуанли';
+$lang['%d photos'] = '%d зураг';
+$lang['About Piwigo'] = 'Piwigo-н тухай';
+$lang['Add a comment'] = 'Сэтгэгдэл нэмэх';
+$lang['%d comment'] = '%d сэтгэгдэл';
 ?>