Index: /extensions/bmp_description/initadmin.php
===================================================================
--- /extensions/bmp_description/initadmin.php	(revision 22252)
+++ /extensions/bmp_description/initadmin.php	(revision 22253)
@@ -10,8 +10,8 @@
 
 function BMPD_add_batch_manager_prefilters($prefilters)
-{
+{load_language('plugin.lang', BMPD_PATH);
 	array_push($prefilters, array(
     'ID' => 'BMPD',
-    'NAME' => l10n('Without description'),
+    'NAME' => l10n('With no description'),
   ));
 	return $prefilters;
@@ -60,3 +60,62 @@
 }
 
+
+ add_event_handler('loc_end_element_set_global', 'BMPD_loc_end_element_set_global');
+ add_event_handler('element_set_global_action', 'BMPD_element_set_global_action', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
+  
+function BMPD_loc_end_element_set_global()
+ {
+	global $template;
+	
+	$template->append('element_set_global_plugins_actions', array(
+    'ID' => 'BMPD3', 
+    'NAME' => l10n('Set description'), 
+    'CONTENT' => '
+					<input type="checkbox" name="check_BMPD4"> '.l10n('remove description').'<br>
+					<textarea rows="5" cols="50" class="description" name="BMPD3" id="BMPD3">'.l10n('Type here the description').'</textarea>
+					<input type="checkbox" name="check_BMPD"> '.l10n('confirm').'
+	',
+	));
+ }
+
+function BMPD_element_set_global_action($action, $collection)
+ {
+	if ($action == 'BMPD3')
+  {
+    global $page;
+    
+    if (empty($_POST['check_BMPD']))
+    {
+      array_push($page['warnings'], l10n('You need to confirm'));
+    }
+    else
+    {
+
+if (isset($_POST['check_BMPD4']))
+    {
+      $_POST['BMPD3'] = null;
+    }
+    
+$datas = array();
+    foreach ($collection as $image_id)
+    {
+      array_push(
+        $datas,
+        array(
+          'id' => $image_id,
+          'comment' => $_POST['BMPD3']
+          )
+        );
+    }
+
+    mass_updates(
+      IMAGES_TABLE,
+      array('primary' => array('id'), 'update' => array('comment')),
+      $datas
+      );
+		
+    }
+  }
+ }
+
 ?>
Index: /extensions/bmp_description/language/en_UK/description.txt
===================================================================
--- /extensions/bmp_description/language/en_UK/description.txt	(revision 22252)
+++ /extensions/bmp_description/language/en_UK/description.txt	(revision 22253)
@@ -1,1 +1,1 @@
-Add in Batch Manager Prefiltre with / without description
+Add in Batch Manager Prefiltre with / with no description - action on description
Index: /extensions/bmp_description/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/bmp_description/language/en_UK/plugin.lang.php	(revision 22252)
+++ /extensions/bmp_description/language/en_UK/plugin.lang.php	(revision 22253)
@@ -1,4 +1,6 @@
 <?php
 $lang['With description'] = 'With description';
-$lang['Without description'] = 'Without description';
+$lang['With no description'] = 'With no description';
+$lang['remove description'] = 'remove description';
+$lang['Type here the description'] = 'Type here the description';
 ?>
Index: /extensions/bmp_description/language/fr_FR/description.txt
===================================================================
--- /extensions/bmp_description/language/fr_FR/description.txt	(revision 22252)
+++ /extensions/bmp_description/language/fr_FR/description.txt	(revision 22253)
@@ -1,1 +1,1 @@
-Ajouter dans la Gestion par lot avec description et sans description
+Ajouter dans la Gestion par lot avec description / sans description et ajouter action possible sur les descriptions
Index: /extensions/bmp_description/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/bmp_description/language/fr_FR/plugin.lang.php	(revision 22252)
+++ /extensions/bmp_description/language/fr_FR/plugin.lang.php	(revision 22253)
@@ -2,3 +2,5 @@
 $lang['With description'] = 'Avec description';
 $lang['Without description'] = 'Sans description';
+$lang['remove description'] = 'supprimer la description';
+$lang['Type here the description'] = 'Entrez ici la description';
 ?>