Index: /trunk/language/nn_NO/admin.lang.php
===================================================================
--- /trunk/language/nn_NO/admin.lang.php	(revision 22274)
+++ /trunk/language/nn_NO/admin.lang.php	(revision 22275)
@@ -744,3 +744,179 @@
 $lang['Apply watermark if height is bigger than'] = 'Legg til vassmerke om høgda er større enn';
 $lang['Apply watermark if width is bigger than'] = 'Legg til vassmerke om breidda er større enn';
+$lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Fila eller mappa kan ikkje nåast (den finst ikkje eller tilgang er nekta)';
+$lang['The number of comments a page must be between 5 and 50 included.'] = 'Talet på kommentarar på ei side må vera mellom 5 og 50.';
+$lang['The original image quality must be a number between %d and %d'] = 'Kvalitet på originalbilete må vera eit tal mellom %d og %d';
+$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo greier ikkje hente oppgraderingsfile frå tenaren';
+$lang['Ratio'] = 'Storleiksforhold';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery-klient for Android) er eit åpent kjeldekodeprogram (GPL v3) - ein Piwigo-klient for Android-plattforma.';
+$lang['Bound Theme'] = 'Bunden mal';
+$lang['Continue processing treatment'] = 'Fortsett handsaming som er igang';
+$lang['Delete multiple size images'] = 'Slett multistørrelse bilete';
+$lang['Hoverbox display'] = 'Hoverbox-vising';
+$lang['If you encounter problems or have any question, please send a message to'] = 'Dersom du opplever problem eller har spørsmål, kan du sende ei melding til';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Dette temaet kan ikkje aktiverast avdi foreldretemaet manglar: %s';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'Kan ikkje deaktivere dette språket. Du må seta eit anna språk som standardspråk.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'Kan ikkje deaktivere dette språket. Minst eit språk må vera aktivera.';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Kan ikkje deaktivere dette temaet. Minst eit tema må vera aktivera.';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Dette temaet kan ikkje slettast avdi andre tema er avhengig av dette: %s';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'I php.ini fila di er upload_max_filesize (%sB) større enn post_max_size (%sB). Du bør endre denne innstillinga.';
+$lang['Include display of recent photos grouped by dates'] = 'Inkluder vising av nye bilete gruppera etter dato';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Inkluder historikk (Varsel: serverminne-grense kan verta overskriden)';
+$lang['Information data registered in database'] = 'Informasjonsdata lagra i databasen';
+$lang['Obsolete Plugins'] = 'For gamle tilleggsprogram';
+$lang['Operation in progress'] = 'Handsaming er igang.';
+$lang['Preferences'] = 'Innstillingar';
+$lang['Released on'] = 'Utgeven';
+$lang['Remote'] = 'Fjern';
+$lang['You have subscribed to receiving notifications by mail.'] = 'Du har starta abbonnement på varsling via e-post.';
+$lang['You have unsubscribed from receiving notifications by mail.'] = 'Du har avlsutta abbonnement på varsling via e-post.';
+$lang['You need to confirm deletion'] = 'Du må stadfeste slettinga';
+$lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all'] = 'Du bør oppgradere systemet ditt for å få full nytte av applikasjonen, elles vil applikasjonen ha feil eller ikkje virke i det heile.';
+$lang['[%s] Visit album %s'] = '[%s] Gjest album %s';
+$lang['custom'] = 'Tilpassa';
+$lang['Replacers (customized templates)'] = 'Erstattar (tilpassa mal)';
+$lang['Select a zone with your mouse to define a new center of interest.'] = 'Vel eit område med musa for å definere interessesenter.';
+$lang['Set as default language for unregistered and new users'] = 'Set som standard språk for uregistrera og nye brukarar';
+$lang['Set as default theme for unregistered and new users'] = 'Set som standard mal for uregistrera og nye brukarar';
+$lang['Set author'] = 'Set fotograf';
+$lang['Set creation date'] = 'Set opprettingsdato';
+$lang['Set title'] = 'Set tittel';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell er eit åpent kjeldekodeprograme for å handtere digitale bilete på Linux. Det er standard bilethandteringsprogram i Ubuntu og Fedora.';
+$lang['Subscribe to notification by mail'] = 'Abonner på varsling via e-post';
+$lang['Subscribe/unsubscribe users'] = 'Start/avslutt abonnement for brukarar';
+$lang['Subscribed'] = 'Abonnement starta';
+$lang['Subscribers could be listed (available) only if there is new elements to notify.'] = 'Abonnentar kan bli lista (tilgjengeleg) bare om der nye element å varsle om.';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Piwigo eksport-tilleggsprogrammet gjev deg tilgang til å opprette album og eksportere bilete.';
+$lang['The anomaly will be ignored until next application version'] = 'Feilen vil bli ignorera til neste versjon av applikasjonen';
+$lang['The center of interest is the most meaningful zone in the photo.'] = 'Interessesenter er det viktigaste område på biletet.';
+$lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'Namn på permalenke kan innehalde a-z, A-Z, 0-9, "-", "_" eller "/". Den kan ikkje innehalde bare tal eller byrje med tal fylgd av "-"';
+$lang['The version of %s [%s] installed is not compatible with the version required ']['%s'] = 'Versjonen av %s [%s] som er installera er ikkje kompatibel med den versjonen som er påkrevd [%s]';
+$lang['The webmaster has subscribed you to receiving notifications by mail.'] = 'Webmaster har starta abonnement for deg på varsling via e-post.';
+$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'Du brukar nettlesaropplasting. Prøv <a href="%s">Flash-opplasting</a> istadenfor.';
+$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'Du brukar Flash-opplasting. Problem? Prøv <a href="%s">nettlesaropplasting</a> istadenfor.';
+$lang['You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'Du kan laste opp til Piwigo %s direkte utan å oppgradere til Piwigo %s (tilrådd)';
+$lang['photos informations synchronized with files metadata'] = 'biletinformasjon er synkronisera med metadata for fila';
+$lang['The original maximum height must be a number between %d and %d'] = 'Største høgde på original må vera ei tal mellom %d og %d';
+$lang['The original maximum width must be a number between %d and %d'] = 'Største breidde på original må vera ei tal mellom %d og %d';
+$lang['The picture dimensions will be reduced to %dx%d pixels.'] = 'Biletstørrelse vil bli redusera til %dx%d bilepunkt.';
+$lang['The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form'] = 'Den opplasta file er større enn innstillinga MAX_FILE_SIZE som er spesifisera i HTML-skjemaet';
+$lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'Den opplasta fila er større enn innstillinga upload_max_filesize i php.ini: %sB';
+$lang['The uploaded file was only partially uploaded'] = 'Den opplasta file vart berre delvis opplasta';
+$lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = 'Den opplasta fila er større enn innstillinga post_max_size i php.ini: %sB';
+$lang['[NBM] Problems or questions'] = '[NMB] Problem eller spørsmål';
+$lang['apply automatic sort order'] = 'bruk automatisk sorteringsrekkefylgje';
+$lang['dissociate from group'] = 'koble frå gruppe';
+$lang['only perform a simulation (no change in database will be made)'] = 'gjer bare ein simuletring (ingenting vil bli endra i databasen)';
+$lang['overrides existing values with empty ones'] = 'overstyr gjeldande verdiar med tomme';
+$lang['pending validation'] = 'ventande validering';
+$lang['reduce to single existing albums'] = 'reduser til enkle eksiterande album';
+$lang['Your configuration settings are saved'] = 'Dine konfigurasjonsinnstillingar er lagra';
+$lang['You can activate only one mobile theme.'] = 'Du kan bare aktivere eit mobil-tema.';
+$lang['You might go to plugin list to install and activate it.'] = 'Gå til lista med tilleggsprogram for å installere og aktivere det.';
+$lang['Update Complete'] = 'Oppdatering ferdig';
+$lang['Update albums informations'] = 'Oppdater informasjon om album';
+$lang['Update in progress... Please wait.'] = 'Oppdatering igang... Vent.';
+$lang['Update photos information'] = 'Oppdater informasjon om bilete';
+$lang['Use the default photo sort order (defined in the configuration file)'] = 'Bruk standard sorteringsrekkefylgje for bilete (definera i konfigurasjonefil)';
+$lang['Used metadata'] = 'Metadata i bruk';
+$lang['You are running on development sources, no check possible.'] = 'Du køyrer med utviklingskjeldekode, sjekk er ikkje mogleg.';
+$lang['Unable to dump database.'] = 'Greier ikkje dumpe databasen';
+$lang['Uncheck all'] = 'Velg bort alle';
+$lang['Uninstall'] = 'Avinstaller';
+$lang['Uninstalled Plugins'] = 'Avinstallera tilleggsprogram';
+$lang['Unknown upload error'] = 'Ukjend opplastingsfeil';
+$lang['Unlock gallery'] = 'Lås opp galleri';
+$lang['Unlocked'] = 'Låst opp';
+$lang['Unsubscribe from notification by mail'] = 'Avslutt abonnement på varsling via e-post';
+$lang['Unsubscribed'] = 'Abonemment avslutta';
+$lang['Update All'] = 'Oppdater alle';
+$lang['To subscribe'] = 'Start abonnement';
+$lang['To unsubscribe'] = 'Avslutt abonnement';
+$lang['Toggle \'default group\' property'] = 'Inverter \'standargruppe\'-eigenskapen';
+$lang['Tools'] = 'Verktøy';
+$lang['Two updates are available'] = 'To oppdateringar er tilgjengelege';
+$lang['Type here the author name'] = 'Skriv inn forfattarnamn';
+$lang['Type here the name of the new group'] = 'Skriv inn namn på ny gruppe';
+$lang['Type here the title'] = 'Skriv inn tittel';
+$lang['Type in a search term'] = 'Skriv inn søkeord';
+$lang['Unable to check for upgrade.'] = 'Greier ikkje sjekke for oppgraderingar.';
+$lang['This name is already used by another group.'] = 'Dette namnet er allereie i bruk av ei anna gruppe.';
+$lang['This site already exists'] = 'Denne nettsida finst allereie';
+$lang['This theme was not designed to be directly activated'] = 'Dette temaet kan ikkje aktiverast direkte';
+$lang['Thumbnail'] = 'Miniatyrbilete';
+$lang['Thumbnails generation in progress...'] = 'Oppretting av miniatyrebilete er i gang...';
+$lang['Time'] = 'Tid';
+$lang['Time to send mail is limited. Others mails are skipped.'] = 'Tida tilgjengeleg for å sende e-post er avgrensa. Andre e-postar er hoppa over.';
+$lang['Title'] = 'Tittel';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'For å eksportere bileta dine frå digiKam til Piwigo, installer dikiKam og Kipi-tilleggsprogrammet.';
+$lang['To send ?'] = 'Send?';
+$lang['The webmaster has unsubscribed you from receiving notifications by mail.'] = 'Webmaster har avslutta abonnementet ditt på e-postvarsling.';
+$lang['There is no available subscribers to mail.'] = 'Det er ingen abonnentar å varsle på e-post.';
+$lang['There is no other theme available.'] = 'Ingen andre tema er tilgjengelege.';
+$lang['This album contains %d photos, added between %s and %s.'] = 'Dette albumet inneheld %d bilete lagt til mellom %s og %s.';
+$lang['This album contains %d photos, added on %s.'] = 'Dette albumet inneheld %d bilete lagt til %s.';
+$lang['This album contains no photo.'] = 'Dette albumet inneheld ingen bilete.';
+$lang['This group will be set to default'] = 'Denne gruppa vil bli bruka som standard';
+$lang['This group will be unset to default'] = 'Denne gruppa vil ikkje lenger bli bruka som standard';
+$lang['This is a major update, with <a href="%s">new exciting features</a>.'] = 'Dette er ei større oppgdatering med <a href="%s">nye spennande mogleghetar</a>.';
+$lang['This is a minor update, with only bug corrections.'] = 'Dette er ei mindre oppdatering med kun opprretting av feil.';
+$lang['The whole page'] = 'Heile sida';
+$lang['The whole set'] = 'Heile samlinga';
+$lang['Theme has been successfully installed'] = 'Tema har vorte installera';
+$lang['Themes'] = 'Tema';
+$lang['Themes which need upgrade'] = 'Tema som treng oppgradering';
+$lang['There is no group in this gallery.'] = 'Det finst ingen grupper i galleriet';
+$lang['There is no other language available.'] = 'Ingen andre språk er tilgjengelege.';
+$lang['There is no other plugin available.'] = 'Ingen andre tillgeggsprogram er tilgjengelege.';
+$lang['The name of a group must not contain " or \' or be empty.'] = 'Gruppenamnet kan ikkje innehalde " eller \' eller vera tomt.';
+$lang['The name of directories and files must be composed of letters, numbers, "-", "_" or "."'] = 'Mappenamn og filnamn kan bare innehalde bokstavar, tal, "-", "_" eller "."';
+$lang['Save visits in history for'] = 'Lagre vitjingshistorikk for';
+$lang['Source tag'] = 'Kjeldestikkord';
+$lang['Storage album'] = 'Lagringsalbum';
+$lang['Sum of rates'] = 'Sum av vurderingar';
+$lang['Switch to clear or dark colors for administration'] = 'Byt til ljos eller mørk farge for administrasjon';
+$lang['Templates configuration has been recorded.'] = 'Mal-konfigurasjon har blitt lagra';
+$lang['The %d following tags were deleted'] = 'Fylgjande %d stikkord har vorte sletta';
+$lang['Privacy level'] = 'Personvernnivå';
+$lang['Privacy level set to "%s"'] = 'Personvernnivå sett til "%s"';
+$lang['Rate date'] = 'Vurderingsgsdato';
+$lang['Rated %d times, score : %.2f'] = 'Vurdera %s gonger, skår: %.2f';
+$lang['Photos generation in progress...'] = 'Biletgenerering i gang...';
+$lang['Piwigo Uploader'] = 'Piwigo opplastar';
+$lang['Piwigo export plugin for Aperture'] = 'Piwigo tilleggsprogram for eksport frå Aperture';
+$lang['Piwigo export plugin for iPhoto'] = 'Piwigo tilleggsprogram for eksport frå iPhoto';
+$lang['Piwigo publish plugin for Shotwell'] = 'Piwigo tilleggsprogram for eksport frå Shotwell';
+$lang['Piwigo publish plugin for digiKam'] = 'Piwigo tilleggsprogram for eksport frå digiKam';
+$lang['Predefined filter'] = 'Førehandsdefinera filter';
+$lang['Mail address is obligatory for all users'] = 'E-postadresse er påkrevd for alle brukarar';
+$lang['Main "guest" user does not exist'] = 'Hovudbrukaren "gjest" finst ikkje';
+$lang['Main "guest" user status is incorrect'] = 'Hovudbrukaren "gjest" sin status er feil';
+$lang['Main "webmaster" user does not exist'] = 'Hovudbrukaren "webmaster" finst ikkje';
+$lang['Main "webmaster" user status is incorrect'] = 'Hovudbrukaren "webmaster" sin status er feil';
+$lang['No destination tag selected'] = 'Målstikkord er ikkje vald';
+$lang['Optimizations have been completed with some errors.'] = 'Optimalisering er gjennomførd, men med nokre feil.';
+$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'Permalenke %s har tidlegare vore i bruk av album %s. Du må slette den frå permalenke-historikken fyrst.';
+$lang['Photo unreachable or no support'] = 'Får ikkje tak i biletet eller bilet-typa er ikkje støtta';
+$lang['I decide to update anyway'] = 'Eg vil oppdatere likevel';
+$lang['Ignore selected anomalies'] = 'Ignorer valde feil';
+$lang['Images manual order was saved'] = 'Manuell sortering av bilete er lagra';
+$lang['Impossible automatic correction'] = 'Automatisk korrigering er ikkje mogleg';
+$lang['Exif extension not available, admin should disable exif use'] = 'EXIF-utvidelse er ikkje tilgjengeleg, administrator bør deaktivere bruk av EXIF';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'Mogleghetar inkluderar å bla i galleriet, lage album og laste opp bilete.';
+$lang['Follow Orientation'] = 'Fylg orientering/retning';
+$lang['Generate multiple size images'] = 'Lag fleire størrelsar av bileta';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Gje skriverettar (chmod 777) til "%s" mappa i rotmappa i din Piwigo installasjon';
+$lang['Grant selected groups'] = 'Gje tilgang til valde grupper';
+$lang['Grant selected users'] = 'Gje tilgang til valde brukarar';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture er eit kraftig verktøy for å forbetre bilete og handtere store mengder bilete på ein Mac datamaskin.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture er laga for profesjonelle fotografar, men liknar iPhoto.';
+$lang['Applications'] = 'Applikasjonar';
+$lang['Authorize users to add comments on selected albums'] = 'Autoriser brukarar til å legge til kommentarar på valde album';
+$lang['Batch Manager'] = 'Jobb handterar';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Som standard vil Piwigo lage ein ny biletstørrelse ut frå HD-versjonen (high definition) av ditt bildete.';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = 'Som standard vil insteressesenter for biletet bli plassera i midten.';
+$lang['By rank'] = 'Etter rangering';
+$lang['Center of interest'] = 'Interessesenter';
+$lang['Check automatic corrections'] = 'Sjekk automatiske korrigeringar';
+$lang['Correction the anomaly will cancel the fact that it\'s ignored'] = 'Feilen som er korrigera vil ikkje lenger bli ignorera';
 ?>