Index: /extensions/batch_manager_prefilters/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/batch_manager_prefilters/language/cs_CZ/plugin.lang.php	(revision 22277)
+++ /extensions/batch_manager_prefilters/language/cs_CZ/plugin.lang.php	(revision 22278)
@@ -2,6 +2,4 @@
 
 $lang['with tags'] = 's tagy';
-$lang['with HD'] = 's HD';
-$lang['without HD'] = 'bez HD';
 $lang['with author'] = 's autorem';
 $lang['without author'] = 'bez autora';
Index: /extensions/batch_manager_prefilters/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/batch_manager_prefilters/language/de_DE/plugin.lang.php	(revision 22277)
+++ /extensions/batch_manager_prefilters/language/de_DE/plugin.lang.php	(revision 22278)
@@ -1,9 +1,3 @@
 <?php
-
 $lang['with tags'] = 'mit Stichworten';
-$lang['with HD'] = 'mit HD';
-$lang['without HD'] = 'ohne HD';
-/*TODO*/$lang['with author'] = 'with author';
-/*TODO*/$lang['without author'] = 'without author';
-
 ?>
Index: /extensions/batch_manager_prefilters/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/batch_manager_prefilters/language/en_UK/plugin.lang.php	(revision 22277)
+++ /extensions/batch_manager_prefilters/language/en_UK/plugin.lang.php	(revision 22278)
@@ -1,9 +1,5 @@
 <?php
-
 $lang['with tags'] = 'with tags';
-$lang['with HD'] = 'with HD';
-$lang['without HD'] = 'without HD';
 $lang['with author'] = 'with author';
 $lang['without author'] = 'without author';
-
 ?>
Index: /extensions/batch_manager_prefilters/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/batch_manager_prefilters/language/es_ES/plugin.lang.php	(revision 22277)
+++ /extensions/batch_manager_prefilters/language/es_ES/plugin.lang.php	(revision 22278)
@@ -1,9 +1,5 @@
 <?php
-
 $lang['with tags'] = 'con etiquetas';
-$lang['with HD'] = 'con alta definición';
-$lang['without HD'] = 'sin alta definición';
 $lang['with author'] = 'con autor';
 $lang['without author'] = 'sin autor';
-
 ?>
Index: /extensions/batch_manager_prefilters/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/batch_manager_prefilters/language/fr_FR/plugin.lang.php	(revision 22277)
+++ /extensions/batch_manager_prefilters/language/fr_FR/plugin.lang.php	(revision 22278)
@@ -1,9 +1,5 @@
 <?php
-
 $lang['with tags'] = 'avec tags';
-$lang['with HD'] = 'avec HD';
-$lang['without HD'] = 'sans HD';
 $lang['with author'] = 'avec auteur';
 $lang['without author'] = 'sans auteur';
-
 ?>
Index: /extensions/batch_manager_prefilters/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/batch_manager_prefilters/language/it_IT/plugin.lang.php	(revision 22277)
+++ /extensions/batch_manager_prefilters/language/it_IT/plugin.lang.php	(revision 22278)
@@ -1,9 +1,5 @@
 <?php
-
 $lang['with tags'] = 'con i tags';
-$lang['with HD'] = 'con HD';
-$lang['without HD'] = 'senza HD';
 $lang['with author'] = 'con autore';
 $lang['without author'] = 'senza autore';
-
 ?>
Index: /extensions/batch_manager_prefilters/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/batch_manager_prefilters/language/lv_LV/plugin.lang.php	(revision 22277)
+++ /extensions/batch_manager_prefilters/language/lv_LV/plugin.lang.php	(revision 22278)
@@ -1,9 +1,5 @@
 <?php
-
 $lang['with tags'] = 'ar cilmēm (iezīmēm)';
-$lang['with HD'] = 'ar HD';
-$lang['without HD'] = 'bez HD';
 $lang['with author'] = 'ar autoru';
 $lang['without author'] = 'bez autora';
-
 ?>
Index: /extensions/batch_manager_prefilters/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/batch_manager_prefilters/language/nl_NL/plugin.lang.php	(revision 22277)
+++ /extensions/batch_manager_prefilters/language/nl_NL/plugin.lang.php	(revision 22278)
@@ -1,9 +1,5 @@
 <?php
-
 $lang['with tags'] = 'met tags';
-$lang['with HD'] = 'met HD';
-$lang['without HD'] = 'zonder HD';
 $lang['with author'] = 'met auteur';
 $lang['without author'] = 'zonder auteur';
-
 ?>
Index: /extensions/batch_manager_prefilters/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/batch_manager_prefilters/language/pl_PL/plugin.lang.php	(revision 22277)
+++ /extensions/batch_manager_prefilters/language/pl_PL/plugin.lang.php	(revision 22278)
@@ -1,9 +1,5 @@
 <?php
-
 $lang['with tags'] = 'z tagami';
-$lang['with HD'] = 'z HD';
-$lang['without HD'] = 'bez HD';
 $lang['with author'] = 'z autorem';
 $lang['without author'] = 'bez autora';
-
 ?>
Index: /extensions/batch_manager_prefilters/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/batch_manager_prefilters/language/ru_RU/plugin.lang.php	(revision 22277)
+++ /extensions/batch_manager_prefilters/language/ru_RU/plugin.lang.php	(revision 22278)
@@ -1,9 +1,5 @@
 <?php
-
 $lang['with tags'] = 'с тегами';
-$lang['with HD'] = 'с HD';
-$lang['without HD'] = 'без HD';
 $lang['with author'] = 'с автором';
 $lang['without author'] = 'без автора';
-
 ?>
Index: /extensions/batch_manager_prefilters/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/batch_manager_prefilters/language/sk_SK/plugin.lang.php	(revision 22277)
+++ /extensions/batch_manager_prefilters/language/sk_SK/plugin.lang.php	(revision 22278)
@@ -1,9 +1,5 @@
 <?php
-
 $lang['with tags'] = 's klúcovými slovami';
-$lang['with HD'] = 's HD';
-$lang['without HD'] = 'bez HD';
 $lang['with author'] = 's autorom';
 $lang['without author'] = 'bez autora';
-
 ?>
Index: /extensions/batch_manager_prefilters/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/batch_manager_prefilters/language/sv_SE/plugin.lang.php	(revision 22277)
+++ /extensions/batch_manager_prefilters/language/sv_SE/plugin.lang.php	(revision 22278)
@@ -1,9 +1,5 @@
 <?php
-
 $lang['with tags'] = 'med taggar';
-$lang['with HD'] = 'med HD';
-$lang['without HD'] = 'utan HD';
 $lang['with author'] = 'med författare';
 $lang['without author'] = 'utan författare';
-
 ?>
Index: /extensions/batch_manager_prefilters/language/vi_VN/plugin.lang.php
===================================================================
--- /extensions/batch_manager_prefilters/language/vi_VN/plugin.lang.php	(revision 22277)
+++ /extensions/batch_manager_prefilters/language/vi_VN/plugin.lang.php	(revision 22278)
@@ -1,9 +1,5 @@
 <?php
-
 $lang['with tags'] = 'có thông tin về thẻ';
-$lang['with HD'] = 'có phiên bản phân giải cao';
-$lang['without HD'] = 'không có phiên bản phân giải cao';
 $lang['with author'] = 'có thông tin về tác giả';
 $lang['without author'] = 'không có thông tin về tác giả';
-
 ?>
Index: /extensions/batch_manager_prefilters/main.inc.php
===================================================================
--- /extensions/batch_manager_prefilters/main.inc.php	(revision 22277)
+++ /extensions/batch_manager_prefilters/main.inc.php	(revision 22278)
@@ -21,6 +21,4 @@
   array_push($prefilters,
     array('ID' => 'with tags', 'NAME' => l10n('with tags')),
-    array('ID' => 'with HD', 'NAME' => l10n('with HD')),
-    array('ID' => 'without HD', 'NAME' => l10n('without HD')),
     array('ID' => 'with author', 'NAME' => l10n('with author')),
     array('ID' => 'without author', 'NAME' => l10n('without author'))
@@ -36,16 +34,4 @@
     $query = 'SELECT DISTINCT image_id FROM '.IMAGE_TAG_TABLE.';';
     array_push($filter_sets, array_from_query($query, 'image_id'));
-  }
-
-  if ('with HD' == $prefilter)
-  {
-    $query = 'SELECT id FROM '.IMAGES_TABLE.' WHERE has_high IS NOT NULL;';
-    array_push($filter_sets, array_from_query($query, 'id'));
-  }
-
-  if ('without HD' == $prefilter)
-  {
-    $query = 'SELECT id FROM '.IMAGES_TABLE.' WHERE has_high IS NULL;';
-    array_push($filter_sets, array_from_query($query, 'id'));
   }
 